Subject: Re: [Sip] Loop detection; Not a bad thing to have

From: Sachin Shenoy <[email-masked]>
Date: Thu, 02 Jan 2003 22:52:26 +0530

Please find my comments inline.

>>I have to take your word on this (that loops are rare). But sure it 
>>creates havoc once
>>it happens. (Simple tests where request from UA looped between 2 proxies 
>>ran for more
>>than 10 minutes.
>
>That should not happen. Max-Forwards should be preventing that.
>
>>Where re transmissions of original INVITE from UA, the "Too Many hops" 
>>response and ACK for this just kept on circulating).
>
>The INVITE should not be retransmitted once the final response has arrived.
>
>It seems your problems are the result of faulty software, not an incorrect 
>approach to handling loops.

Yes indeed, as you said, the problem was due to faulty software (or wrong
configuration in this case). Mistake was on my part for having enabled full
fledged debug logging for this test. This slowed down the stack considerably.
When the tests were rerun, with logging turned off, it went through without
even the slightest hiccup. The whole transaction got completed in less than
a second. (UAC only re-transmitted the INVITE once which did not create
any problem).

Thanks
Sachin

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: Adam Roach <[email-masked]>
Date: Thu, 2 Jan 2003 13:41:49 -0600

> From: Sachin Shenoy [mailto:[email-masked]]
> Max-Forwards did work in this case. But didn't prevent the 
> above mentioned
> problem.

It took you *10* *MINUTES* to perform *70* *HOPS*?!?!?

I think you need to seriously work on getting your proxies above
0.1 tps before pursuing this particular problem much further.

/a